.m-fill-in-blank-8 {
  width: 100%;
  display: flex;
  flex-wrap: wrap;

  .form-input-stretch {
    .text_suggestion_image {
      height: 4rem;
      width: 100%;
      margin-bottom: 1.6rem;
      .a-content-with-label {
        height: 100%;
        & > div {
          padding: 1rem 1.2rem !important;
        }
      }
    }
  }

  .box-action-info {
    margin-top: 0.4rem;

    > img {
      vertical-align: top;
      margin-right: 0.6rem;
    }

    .text-guide {
      font-size: 1.2rem;
      color: #39c9f9;
      font-weight: 600;
      display: inline-block;
    }
  }

  .popup-table {
    position: absolute;
    width: 500px;
    top: 0;
    z-index: 1000;
    display: none;

    &::before {
      content: ' ';
      width: 0;
      height: 0;
      border-left: 5px solid transparent;
      border-right: 5px solid transparent;
      border-bottom: 10px solid #5cb9d8;
      position: absolute;
      bottom: 100%;
      left: var(--offset-left);
    }

    table {
      table-layout: fixed;
      border-collapse: separate;
      thead {
        tr {
          th {
            &:nth-child(1) {
              width: 11rem;
              min-width: 11rem;
              max-width: 11rem;
              text-align: center;
            }
            &:nth-child(2) {
              width: 12rem;
              min-width: 12rem;
              max-width: 12rem;
              text-align: left;
            }
            &:nth-child(3) {
              min-width: 16.5rem;
              text-align: left;
            }
          }
        }
      }
      tbody {
        tr {
          td {
            height: 80px;
            &:nth-child(1) {
              width: 11rem;
              min-width: 11rem;
              max-width: 11rem;
              text-align: left;
            }
            .box-image-input-fb8 {
              &.image-question {
                height: 65px;
                margin-bottom: 0;
                .image-section {
                  padding: 0;
                  .image-input-origin {
                    .image-upload {
                      max-height: 63px;
                    }
                    .image-delete-icon {
                      height: 15px;
                      width: 15px;
                    }
                  }
                }
              }
            }
            > input {
              &.error {
                border: 1px solid #dd3a09;
                border-radius: 8px;
                height: 65px;
              }
            }
            &.error {
              border: 1px solid #dd3a09;
              border-radius: 8px;
            }
          }
          &.action {
            height: 50px;
            td {
              height: 50px;
            }
          }
        }
      }
      .__content-toggle {
        display: flex;
        align-items: center;
        width: 11rem;
        justify-content: center;
        .__switcher {
          display: flex;
          position: relative;
          transform: unset;
          pointer-events: auto;
          left: unset;
          top: unset;
          .rs-toggle-presentation {
            background: #67ab8d;
            min-width: 50px;
            width: auto;
            height: 24px;
          }
        }
        .rs-toggle-checked {
          .rs-toggle-presentation {
            background: #f8c116;
          }
        }
        &.toggle-error {
          .rs-toggle-presentation {
            box-shadow: 0 0 0 0.15rem #dd3a09;
          }
        }
      }
    }

    .add-new-answer {
      position: unset !important;
      pointer-events: auto;
    }
  }
  .box-image-input-fb8 {
    border-radius: 0.8rem;
    border: 0.1rem solid #d5dee8;
    height: 24rem;
    background: #fff;
    position: relative;
    width: 100%;
    margin-bottom: 1.6rem;

    &.error {
      border-radius: 8px;
      border: 1px solid #dd3a09;
    }

    .image-section {
      height: 100%;
      width: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      padding: 1rem;
      .image-input-origin {
        position: relative;
        max-height: 100%;
        max-width: 100%;
        .image-upload {
          max-width: 100%;
          height: 100%;
          max-height: 14rem;
        }
        .image-delete-icon {
          position: absolute;
          top: -6px;
          right: -6px;
          width: 20px;
          height: 20px;
          cursor: pointer;
        }
      }
    }
    > span {
      position: absolute;
      top: 0;
      left: 1.5rem;
      transform: translate(0, -50%);
      background-color: #f5f8fc;
    }
  }

  .table-suggestion-fb8 {
    background: #fff;
    border-radius: 8px;
    table {
      width: 100%;
      border-collapse: separate;
      thead {
        tr {
          background: #5cb9d8;
          th {
            height: 40px;
            padding: 5px 10px;
            color: #fff;
            font-weight: 400;

            &:nth-child(1) {
              width: 40%;
              border-top-left-radius: 8px;
            }
            &:nth-child(3) {
              width: 50px;
              border-top-right-radius: 8px;
            }
          }
        }
      }
      tbody {
        tr {
          position: relative;
          &.example_suggestion {
            background-color: rgba(61, 196, 125, 0.15) !important;
            td:nth-child(2) {
              input {
                text-decoration: line-through;
              }
            }
          }
          td {
            padding: 5px 10px;
            height: 78px;
            &.error {
              border-radius: 8px;
              border: 1px solid #dd3a09;
            }

            &:nth-child(1) {
              display: flex;
              align-items: center;
            }
            .input-suggestion {
              border: none;
              font-size: 1.4rem;
              text-overflow: ellipsis;
              height: 54px;
              &.error {
                border: 1px solid #dd3a09;
                border-radius: 8px;
              }
            }
            .box-image-input-fb8.image-suggestion {
              height: 68px;
              margin-bottom: 0;
              & > .image-section {
                padding: 0 10px;
                & > .image-input-origin {
                  padding: 0;
                  .image-upload {
                    max-height: 52px;
                  }
                  .image-delete-icon {
                    height: 15px;
                    width: 15px;
                  }
                }
              }
            }
            .ic-action-suggestion {
              cursor: pointer;
            }
            .add-new-suggestion {
              display: flex;
              color: #309fc3;
              cursor: pointer;
              font-weight: 500;
            }
          }
          &.action {
            height: 50px;
            td {
              height: 50px;
              &:first-child {
                border-bottom-left-radius: 8px;
                display: revert;
              }

              &:last-child {
                border-bottom-right-radius: 8px;
              }
            }
          }
          &:nth-child(2n) {
            background: #edf9fd;
          }
        }
      }
    }
  }
  .form-error-message {
    color: #ff0018;
    margin-top: 0;
    font-size: 1.2rem;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: column;
    flex-direction: column;
    padding: 1rem 1rem 1rem 1rem;
  }
}
